Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common
Interface ITickHandler

All Known Subinterfaces:
  IScheduledTickHandler

All Known Implementing Classes:
  BaseModTicker, KeyBindingRegistry.KeyHandler, ModLoaderKeyBindingHandler, SingleIntervalHandler

    public interface ITickHandler

Tick handler for mods to implement and register through the TickRegistry The data available to each tick is documented in the TickType

Author:
  cpw

Method Summary
`String` | `getLabel()` A profiling label for this tick handler
`void` | `tickEnd(EnumSet<TickType> type, Object... tickData)` Called at the "end" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks
`EnumSet<TickType>` | `ticks()` Returns the list of ticks this tick handler is interested in receiving at the minute
`void` | `tickStart(EnumSet<TickType> type, Object... tickData)` Called at the "start" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

Method Detail

### tickStart

    void tickStart(EnumSet<TickType> type,
                   Object... tickData)

  Called at the "start" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

  Parameters:
    `type` -
    `tickData` -

### tickEnd

    void tickEnd(EnumSet<TickType> type,
                 Object... tickData)

  Called at the "end" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

  Parameters:
    `type` -
    `tickData` -

### ticks

    EnumSet<TickType> ticks()

  Returns the list of ticks this tick handler is interested in receiving at the minute

### getLabel

    String getLabel()

  A profiling label for this tick handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD